package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.QualificationType;
import de.humance.eco.profile.service.QualificationTypeLocalServiceUtil;

/**
 * The extended model base implementation for the QualificationType service. Represents a row in the &quot;Profile_QualificationType&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link QualificationTypeImpl}.
 * </p>
 *
 * @author Humance
 * @see QualificationTypeImpl
 * @see de.humance.eco.profile.model.QualificationType
 * @generated
 */
public abstract class QualificationTypeBaseImpl
    extends QualificationTypeModelImpl implements QualificationType {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a qualification type model instance should use the {@link QualificationType} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            QualificationTypeLocalServiceUtil.addQualificationType(this);
        } else {
            QualificationTypeLocalServiceUtil.updateQualificationType(this);
        }
    }
}
